JavaScript
import Opriven from '@opriven/sdk';
const client = new Opriven({
apiKey: process.env['OPRIVEN_API_KEY'], // This is the default and can be omitted
});
const result = await client.issues.results.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(result.sessionUuid);curl --request GET \
--url https://bff.opriven.com/api/v2/issues/{id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://bff.opriven.com/api/v2/issues/{id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bff.opriven.com/api/v2/issues/{id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bff.opriven.com/api/v2/issues/{id}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://bff.opriven.com/api/v2/issues/{id}/results")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://bff.opriven.com/api/v2/issues/{id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sessionUuid": "<string>",
"rootCause": {
"id": "<string>",
"incidentOverview": "<string>",
"rootCauseSummary": "<string>",
"relevantEvidence": [
{
"title": "<string>",
"status": "relevant",
"description": "<string>",
"confidence": "unknown",
"artifacts": [
{
"documentId": "<string>",
"title": "<string>",
"description": "<string>",
"dataType": "<string>"
}
]
}
],
"irrelevantEvidence": [
{
"title": "<string>",
"status": "relevant",
"description": "<string>",
"confidence": "unknown",
"artifacts": [
{
"documentId": "<string>",
"title": "<string>",
"description": "<string>",
"dataType": "<string>"
}
]
}
]
},
"causalTree": {
"nodes": [
{
"id": "<string>",
"type": "validated",
"title": "<string>",
"description": "<string>",
"expandedContent": "<string>"
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"target": "<string>"
}
]
},
"causalTreeV2": {
"nodes": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"confidence": "unknown",
"nodeType": "outcome",
"evidence": [
{
"documentId": "<string>",
"title": "<string>",
"description": "<string>",
"dataType": "<string>"
}
]
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"confidence": 0.5
}
]
},
"remediation": {
"actions": [
{
"id": "<string>",
"uuid": "<string>",
"title": "<string>",
"steps": [
{
"id": "<string>",
"title": "<string>",
"required": true,
"type": "info",
"content": "<string>",
"helpMarkdown": "<string>",
"label": "<string>"
}
],
"description": "<string>",
"category": "immediate",
"markdownPrompt": "<string>"
}
]
},
"timeline": [
{
"id": "<string>",
"type": "outcome",
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"description": "<string>",
"evidence": [
{
"artifactId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"description": "<string>"
}
]
}
]
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Issues
Fetch investigation results by ID (UUID)
Retrieves detailed investigation results including root cause analysis and remediation steps
GET
/
issues
/
{id}
/
results
JavaScript
import Opriven from '@opriven/sdk';
const client = new Opriven({
apiKey: process.env['OPRIVEN_API_KEY'], // This is the default and can be omitted
});
const result = await client.issues.results.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(result.sessionUuid);curl --request GET \
--url https://bff.opriven.com/api/v2/issues/{id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://bff.opriven.com/api/v2/issues/{id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bff.opriven.com/api/v2/issues/{id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bff.opriven.com/api/v2/issues/{id}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://bff.opriven.com/api/v2/issues/{id}/results")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://bff.opriven.com/api/v2/issues/{id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sessionUuid": "<string>",
"rootCause": {
"id": "<string>",
"incidentOverview": "<string>",
"rootCauseSummary": "<string>",
"relevantEvidence": [
{
"title": "<string>",
"status": "relevant",
"description": "<string>",
"confidence": "unknown",
"artifacts": [
{
"documentId": "<string>",
"title": "<string>",
"description": "<string>",
"dataType": "<string>"
}
]
}
],
"irrelevantEvidence": [
{
"title": "<string>",
"status": "relevant",
"description": "<string>",
"confidence": "unknown",
"artifacts": [
{
"documentId": "<string>",
"title": "<string>",
"description": "<string>",
"dataType": "<string>"
}
]
}
]
},
"causalTree": {
"nodes": [
{
"id": "<string>",
"type": "validated",
"title": "<string>",
"description": "<string>",
"expandedContent": "<string>"
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"target": "<string>"
}
]
},
"causalTreeV2": {
"nodes": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"confidence": "unknown",
"nodeType": "outcome",
"evidence": [
{
"documentId": "<string>",
"title": "<string>",
"description": "<string>",
"dataType": "<string>"
}
]
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"confidence": 0.5
}
]
},
"remediation": {
"actions": [
{
"id": "<string>",
"uuid": "<string>",
"title": "<string>",
"steps": [
{
"id": "<string>",
"title": "<string>",
"required": true,
"type": "info",
"content": "<string>",
"helpMarkdown": "<string>",
"label": "<string>"
}
],
"description": "<string>",
"category": "immediate",
"markdownPrompt": "<string>"
}
]
},
"timeline": [
{
"id": "<string>",
"type": "outcome",
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"description": "<string>",
"evidence": [
{
"artifactId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"description": "<string>"
}
]
}
]
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Headers
Path Parameters
Query Parameters
Response
Investigation results